{ pkgs, ... }:

{
  home.packages = with pkgs; [
    lazygit
  ];

  programs.git = {
    enable = true;
    userEmail = "me+gitea@xeovalyte.dev";
    userName = "xeovalyte";
    extraConfig = {
      commit.gpgsign = true;
      gpg.format = "ssh";
      user.signingkey = "~/.ssh/gitea.pub";
    };
  };
}
